Is my environment supported by Plumbr?

Plumbr Browser Agent

Which Browsers are supported?

Plumbr Browser Agent works with every modern browser. The list of officially supported browsers includes

  • Internet Explorer 11+
  • Microsoft Edge
  • Firefox 21+
  • Google Chrome 11+
  • Safari 6+
  • Opera 15+

Plumbr Browser Agent is known not to work with several outdated browsers (such as for example Internet Explorer 6). In case our Browser Agent detects an environment which is not supported, the Agent functionality is not activated and the application will still function, just no data will be gathered.

What types of web applications are supported?

Plumbr Browser Agent supports both traditional web applications and single page applications (SPA). The support for both types is not framework-specific, so independent of whether you are using jQuery, Angular, React or any other Javascript library, our Browser Agent should just work. However, the following technologies are not supported at the moment:

  • Anything beyond HTML+Javascript. This includes Applets, Flash, Silverlight and any other plugins you might be using.
  • Websockets & Comet. Plumbr Browser Agent does not monitor websocket communication streams.

Plumbr Java Agent

Which platforms are supported?

The following environments are officially supported by Plumbr Java Agent. For environments not listed here, the Java Agent might still work, but we do not offer official support for such environments.

Operating systems

  • Linux (glibc 2.4+, verified on Ubuntu 18.04.01 LTS, CentOS 7.5.1804)
  • Windows Server 2008, 2012, 2016

JDKs

  • Oracle JDK/OpenJDK 11
  • Oracle JDK/OpenJDK/Zulu JDK 8 (u40+)
  • Oracle JDK/OpenJDK/Zulu JDK 7 (u2+)
  • Oracle JDK/OpenJDK/Zulu JDK 6 (u27+)
  • IBM JDK 8
  • IBM JDK 7 (u1+)

What other languages are supported?

Although officially Plumbr Java Agent supports only Java, we have a long list of customers running Plumbr to successfully monitor applications built using other JVM-based languages – such as Groovy, Kotlin, Jython, JRuby, Clojure, Scala etc.

Plumbr PHP Agent

Plumbr PHP Agent is framework agnostic and only requires a PHP installation.

Supported PHP versions

PHP 5.x and PHP 7.x running on FPM or Apache with systemd or SysVinit service managers.

Operating systems

  • Linux (at least kernel 2.6.28 and glibc 2.10)

CPU architectures

  • x64

 

Previous Question Next Question